Page MenuHomePhabricator

Translation is locked by a user that appears not to exist
Closed, DeclinedPublic

Description

When attempting to use the Content Translation feature to translate this page from German to English, I am blocked by a message saying that someone else by the name of ParovT has already started a translation, and that I should coordinate with them. However, this username apparently does not exist, as when I click on the name, it cannot be found on Wikipedia. So, I am neither able to work on the translation myself, nor collaborate with this nonexistent account on it.

This is Wikipedia on Chrome with Windows Desktop.

Event Timeline

Frakklantinu raised the priority of this task from to Medium.
Frakklantinu updated the task description. (Show Details)
Frakklantinu added a subscriber: Frakklantinu.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 24 2015, 8:17 PM
Krenair added a subscriber: Krenair.
Arrbee added a subscriber: Arrbee.Nov 25 2015, 5:57 AM

This is highly unusual. Without a valid user account, no one can use Content Translation. A quick search reveals that the user account for ParovT exists but the user, and talk pages do not exist and there has been no contributions either. We do have plans to extend notifications such that users with long pending unfinished translations can be informed.

Aklapper raised the priority of this task from Medium to Needs Triage.Nov 25 2015, 3:26 PM
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 25 2015, 3:26 PM
Amire80 renamed this task from Problem with Content Translation beta feature (Wikipedia on Chrome with Windows Desktop) to Translation is locked by a user that appears not to exist.Nov 26 2015, 12:02 PM
Amire80 triaged this task as Medium priority.
Amire80 updated the task description. (Show Details)
Amire80 added a project: WorkType-Maintenance.
Amire80 set Security to None.

Well, this user does exist: https://en.wikipedia.org/w/index.php?title=Special%3ALog&type=&user=&page=User%3AParovT&year=&month=-1&tagfilter=

But he didn't make any other contributions.

@santhosh , is there anything that can be done in such a case when the locking user cannot be contacted?

Pginer-WMF added a subscriber: Pginer-WMF.EditedNov 26 2015, 12:18 PM

We have a proposal for not blocking users: T86151: Allow different users to translate the same topic independently
Basically we can provide an option to continue the existing work or create their own version of the translation from scratch.

I think it is better to focus at the core problem than polish the coordination aspects since we can do little with those cases where the user really becomes inactive blocking a page from being translated. Nevertheless, we have also a proposal to remind users about old drafts that could help: T89707: Encourage users to publish old inactive unpublished translations (we can consider triggering that notification once a potential blocker is detected)

Amire80 moved this task from CX8 to Bugs on the ContentTranslation board.Apr 20 2016, 1:15 PM
Petar.petkovic closed this task as Declined.Mar 3 2018, 1:31 AM

As noted in the comments, user exists. Screenshots in the description show that user's page and talk page don't exist, not the user himself.
Previous comments explain how there are tickets to explore possibility of allowing multiple users to work on same translation, but that isn't what this ticket is about.